Bug 313651 - lvm2 volumge groups will not activate on boot if added after os installation
lvm2 volumge groups will not activate on boot if added after os installation
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.4
i386 Linux
low Severity high
: ---
: ---
Assigned To: LVM and device-mapper development team
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-01 06:39 EDT by Shmuel Protter NDS Israel
Modified: 2010-05-14 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-14 18:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shmuel Protter NDS Israel 2007-10-01 06:39:26 EDT
Description of problem: When adding a volume group to a system update 4 or
update 5 the volume group will not activate on next boot without manually adding
vgchange -a y vg01 to the /etc/rc.sysinit script


Version-Release number of selected component (if applicable):
lvm2 update 4 and update 5


How reproducible:
100%

Steps to Reproduce:
1. Setup system with all but /boot lvm
2. pvcreate a new disk after partitioning with fdisk
3. vgcreate a volume group (example vg01)
4. lvcreate a logical volume
5. mkfs.ext3 (filesystems does not matter)
6. create a mountpoint mkdir /lvol1
7. modify /etc/fstab to include /dev/vg01/lvol1 /lvol1 ext3 mount
8. boot system

  
Actual results:

System should mount the file system, it actually boots into debug mode and the
path /dev/vg01 does not exist. If you manually run vgchange -a y vg01 the path
is created and visible.

Same results when logical volume/vg group creates sys system-config-lvm

A work around is as follows:

Add this to /etc/rc.sysinit

/sbin/vgchange -a y vg01
/sbin/mount -t ext3 /dev/vg01/lvol1 /lvol1

Filesystem choosen does not matter. Not using lvm2 avoids the problem.

I have replicated this behavior on RH 4 update 4 and update 5.
Expected results:


Additional info:
Comment 1 Jonathan Earl Brassow 2008-10-21 20:26:15 EDT
Perhaps it's a little late to be asking about this one...  So, the first question  should be, are you still having this issue?

We would need to see /etc/fstab, /etc/lvm/lvm.conf, and 'vgs; lvs' output.
Comment 2 Milan Broz 2010-05-14 18:55:38 EDT
In needinfo for more than two years, closing.

Note You need to log in before you can comment on or make changes to this bug.